View Issue Details

IDProjectCategoryView StatusLast Update
0026123mantisbtuipublic2019-12-09 04:31
Reportercproensa Assigned Todregad  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.23.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026123: Both "monitor" and "end monitoring" buttons are displayed
Description

When the user is monitoring an issue, both "monitor" and "end monitoring" buttons are displayed.
Only the "end monitoring" button should be displayed in this case.

TagsNo tags attached.

Relationships

related to 0025902 closedvboctor Implement IssueViewPageCommand to separate logic from rendering of issue view page 
related to 0026125 closeddregad "Users monitoring this issue" section not shown if nobody is monitoring the issue 

Activities

cproensa

cproensa

2019-09-10 04:13

developer  

Selección_059.png (2,874 bytes)   
Selección_059.png (2,874 bytes)   
dregad

dregad

2019-09-10 06:12

developer   ~0062758

Last edited: 2019-09-10 06:12

Git bisect indicates that the regression was introduced by MantisBT master 08abf7f4 (introduction of IssueViewPageCommand 0025902)

dregad

dregad

2019-09-10 07:22

developer   ~0062759

PR https://github.com/mantisbt/mantisbt/pull/1560

Related Changesets

MantisBT: master 08abf7f4

2019-07-05 22:22:39

vboctor

Details Diff
Control showing of action buttons via flags

Remove logic in issue view page to decide showing buttons and depend on flags from issue view command.
Affected Issues
0025902, 0026123
mod - bug_view_inc.php Diff File
mod - core/commands/IssueViewCommand.php Diff File

MantisBT: master b64d993f

2019-09-10 07:21:06

dregad

Details Diff
Fix display of monitor/unmonitor buttons

The monitor button should only be displayed when the current user is not
yet monitoring the issue.

Likewise for the unmonitor button when the user is indeed monitoring it.

Fixes 0026123
Affected Issues
0026123
mod - core/commands/IssueViewPageCommand.php Diff File